<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>yunzhupaas-java-boot</artifactId>
        <groupId>com.yunzhupaas</groupId>
        <version>5.2.0-RELEASE</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>yunzhupaas-common-all</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-database</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-swagger</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-file</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-file-core-starter</artifactId>
            <version>5.2.0-RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-office</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-event</artifactId>
        </dependency>
    </dependencies>

    <profiles>
        <profile>
            <id>boot3</id>
            <activation>
                <jdk>[17,)</jdk>
            </activation>
            <dependencies>
                <dependency>
                    <groupId>com.yunzhupaas</groupId>
                    <artifactId>yunzhupaas-common-office-v3</artifactId>
                    <version>${project.version}</version>
                </dependency>
            </dependencies>
        </profile>
    </profiles>

</project>
